package com.bcxin.ars.model.task;

import java.util.Date;

import com.bcxin.ars.model.BaseModel;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * APP广告信息
 * @author zhangye
 * @version V1.0.9
 */
public class AppAd extends BaseModel {

	private static final long serialVersionUID = 238419627952432L;
	
	/**
	 * 公司ID
	 */
	private Long companyId;

	/**
	 * 广告类型
	 */
	private String adType;

	/**
	 * 广告名称
	 */
	private String adName; 
 
 
	/**
	 * 图片地址
	 */
	private String imageurl;
	
	/**
	 * 链接地址
	 */
	private String linkurl;
	 
	/**
	 * 上线日期
	 */
	private Date onlinedate;
	/**
	 * 下线日期
	 */
	private Date offlinedate;		
	/**
	 * 显示状态
	 */
	private String displayStatic;
	
	 
	 
	public Long getCompanyId() {
		return companyId;
	}
	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}
	public String getAdType() {
		return adType;
	}
	public void setAdType(String adType) {
		this.adType = adType;
	}
	public String getAdName() {
		return adName;
	}
	public void setAdName(String adName) {
		this.adName = adName;
	}
	public String getImageurl() {
		return imageurl;
	}
	public void setImageurl(String imageurl) {
		this.imageurl = imageurl;
	}
	public String getLinkurl() {
		return linkurl;
	}
	public void setLinkurl(String linkurl) {
		this.linkurl = linkurl;
	}
	public Date getOnlinedate() {
		return onlinedate;
	}
	public void setOnlinedate(Date onlinedate) {
		this.onlinedate = onlinedate;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd")
	public Date getOfflinedate() {
		return offlinedate;
	}
	public void setOfflinedate(Date offlinedate) {
		this.offlinedate = offlinedate;
	}
	@JsonFormat(pattern = "yyyy-MM-dd")
	public String getDisplayStatic() {
		return displayStatic;
	}
	public void setDisplayStatic(String displayStatic) {
		this.displayStatic = displayStatic;
	}	 
	
}
